package main

import (
	"bufio"
	"fmt"
	"os"
)

// 使用 bufio 获取用户输入

func UseScan() {
	var scan string
	fmt.Printf("请输入内容: ")
	_, _ = fmt.Scanln(&scan)
	fmt.Printf("输入的内容是 => %s\n", scan)
}

func UseBufio() {
	var scan string
	fmt.Printf("请输入内容: ")
	// 使用 bufio reader 从 标准输入流 中 获取用户输入
	reader := bufio.NewReader(os.Stdin)
	// 读取用户输入
	scan, _ = reader.ReadString('\n')

	fmt.Printf("输入的内容是 => %s\n", scan)

}

func main() {
	UseScan()

	fmt.Println("=========================================================")

	UseBufio()
}
