package main

import (
	"fmt"
	"time"
)

func main() {
	// 基本格式
	for i := 0; i < 3; i++ {
		fmt.Println(i)
	}

	fmt.Println("=========================================================")

	// 变种 1
	var i int
	for ; i < 3; i++ {
		fmt.Println(i)
	}

	fmt.Println("=========================================================")

	// 变种 2
	i = 2
	for i < 3 {
		fmt.Println(i)
		i++
	}

	fmt.Println("=========================================================")

	// 无限循环
	startTime := time.Now()
	fmt.Println(startTime)
	for {
		// 循环 100毫秒 退出
		if time.Now().Sub(startTime).Milliseconds() > 100 {
			fmt.Println(time.Now())
			break
		}
	}

	// for...range 循环
	s := "hello"

	for i, c := range s {
		fmt.Printf("%d %c\n", i, c)
	}
}
