package main

import "fmt"

func main() {
	// 元素 类型为 map 的 slice
	// 此处 仅 初始化了 切片 未初始化 map
	var s1 = make([]map[string]string, 5, 10)
	fmt.Printf("s1 => %T %+v\n", s1, s1)

	// 需 初始化 map
	s1[0] = make(map[string]string, 1)
	// 再 对 map 进行操作
	s1[0]["name"] = "shikong"
	fmt.Printf("s1 => %T %+v\n", s1, s1)

	fmt.Println("=========================================================")

	// 值为 slice 的 map
	var m1 = make(map[string][]string, 5)
	fmt.Printf("m1 => %T %+v\n", m1, m1)

	m1["asia"] = []string{"China", "China/HongKong", "China/Macao", "China/Taiwan", "Japan"}
	fmt.Printf("m1 => %T %+v\n", m1, m1)
}
