package main

// 单行导入
//import "fmt"

// 多行导入
import (
	"fmt"
	// 如果使用 go mod init package 建立主包 则为相对于主包的路径
	"package/calc"
	// 默认使用相对于 GOPATH/src 下的路径
	//"skcks.cn/Shikong/golang-study/base/package/calc"

	// 自定义包名
	// 别名 包路径
	c "package/calc"

	// 匿名 导入包
	// 只导入包 而不使用包内的数据/方法
	// 一般用于触发 包 的 init 初始化
	_ "package/calc"
	// 多次导入同一个包实际只会执行一次 init 方法
)

func init() {
	fmt.Println("package 包初始化")
}

func main() {
	fmt.Println(calc.Add(1, 2))
	fmt.Println(c.Add(1, 2))
}
