package main

import (
	"fmt"
)

// 声明变量
// var 变量名 类型
// var name string
// var age int
// var isAlive bool

// 批量声明
var (
	name    string
	age     int
	isAlive bool
)

func main() {
	name = "Shikong"
	age = 22
	isAlive = true

	// %v	按默认格式输出
	// %+v	在%v的基础上额外输出字段名
	// %#v	在%+v的基础上额外输出类型名
	fmt.Printf("name => %s, age => %d, isAlive => %t\n", name, age, isAlive)

	// 声明变量并赋值
	var s1 string = "s1"

	// 类型推导 自动判断该变量的类型
	var s2 = "s2"

	// 短变量声明 只能用于函数体内
	s3 := "s3"

	// 匿名变量 _ 用于忽略某个值 不占用命名空间 也不会分配内存空间
	_ = false
	_ = 1 << 10
	_ = s1
	_ = s2
	_ = s3
}
