package main

import "fmt"

func main() {
	var a int
	a = 22

	if a > 18 {
		fmt.Printf("变量 a: %#v, 已成年\n", a)
	} else if a == 18 {
		fmt.Printf("变量 a: %#v, 刚成年\n", a)
	} else {
		fmt.Printf("变量 a: %#v, 未成年\n", a)
	}

	// 作用域
	// 这里的 a 为局部变量, 仅在 if 语句中 生效
	if a := 18; a > 18 {
		fmt.Printf("局部变量 a: %#v, 已成年\n", a)
	} else if a == 18 {
		fmt.Printf("局部变量 a: %#v, 刚成年\n", a)
	} else {
		fmt.Printf("局部变量 a: %#v, 未成年\n", a)
	}
}
