package calc

import "fmt"

// 导入包时自动触发 init 函数
// init 函数既没有参数也没有返回值
// 不能在代码中主动调用
func init() {
	fmt.Println("calc 包被导入")
}

// 包中的标识符
// 如果首字母为小写 则表示为私有 只在当前包内生效 对外不可见
// 如果为大写 则表示为共有 对外部可见

func Add(x, y int) int {
	return x + y
}

func sub(x, y int) int {
	return x - y
}
